version: '3.3'
services:
  reverse-proxy:
    image: traefik:v2.1
    command: --api.insecure=true --providers.docker=true --providers.docker.exposedbydefault=false --entrypoints.web.address=:80
    ports:
      - "80:80"
      - "8080:8080"
      - "443:443"
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
  mysql-auth:
    build: ../microservices/auth-service/images/mysql
    env_file:
      - ./environement/mysql/mysql.env
    volumes:
    - /opt/mysql_data:/var/lib/mysql
  server-auth:
    build: ../microservices/auth-service/images/alpine-java
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.server-auth.entrypoints=web"
      - "traefik.http.routers.server-auth.rule=PathPrefix(`/api-auth`)"
      - "traefik.http.services.server-auth.loadbalancer.server.port=8080"
    # entrypoint: ["/opt/wait_for_it.sh","mysql-auth:3306","-t" ,"0","--","java","-jar","/opt/auth-api.jar"]
    env_file:
      - ./environement/jwt/jwt.env
      - ./environement/server-auth/server-auth.env
    
    depends_on:
      - mysql-auth
  frontend-vue:
    container_name: frontend-vue
    build:
      context: ../microservices/frontend_2/Vue
      dockerfile: Dockerfile-prod
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.server-front.entrypoints=web"
      - "traefik.http.routers.server-front.rule=PathPrefix(`/`)"
    env_file:
      - ./environement/front/front.env

  express-orchestrator:
    build : ../microservices/Orchestrator
    labels :
      - "traefik.enable=true"
      - "traefik.http.routers.express-orchestrator.entrypoints=web"
      - "traefik.http.routers.express-orchestrator.rule=PathPrefix(`/orchestrator`)"
    env_file:
      - ./environement/orchestrator/orchestrator.env
      - ./environement/jwt/jwt.env
    volumes:
     - /var/run/docker.sock:/var/run/docker.sock
    ports : 
      - "40510:40510"

  phpmyadmin:
    build: ./images/phpmyadmin
    environment:
     - MYSQL_ROOT_PASSWORD=adminpw
     - PMA_HOSTS=mysql-auth
    ports:
     - "6060:80"
